/* Breadcrumbs Style */
.breadcrumbs .woocommerce-breadcrumb {
    margin-bottom: 0;
    text-transform: capitalize;
}

.breadcrumbs .woocommerce-breadcrumb>a {
    font-size: 12px;
    text-decoration: none;
    text-transform: capitalize;
}

.breadcrumbs .woocommerce-breadcrumb .separate_icon {
    margin: 0 8px;
}

.brandlogo img {
    max-height: 60px;
    object-fit: contain;
    object-position: left;
    max-width: 50% !important;
    transform: scale(1.3);
}

/* Tryon PDP Style */

button.try-on:not(.recently_view_tryon_area button.try-on) {
    background-color: #fff;
    border: 2px solid #2E4379;
    border-radius: 40px;
    color: #212121;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 1px;
    background: url(/wp-content/uploads/2025/12/try-on-icon.png) no-repeat 24px center / 27px;
    padding: 8px 24px 8px 60px;
}

button.try-on:hover:not(.recently_view_tryon_area button.try-on:hover) {
    border: 2px solid #2E4379;
    background-color: #2E4379 !important;
    background: url(/wp-content/uploads/2026/01/try-on-icon-white.png) no-repeat 24px center / 27px;
    color: #fff;
    border-radius: 40px;
}

.recently_view_tryon_area button.try-on {
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
    color: #333;
    background: url(/wp-content/uploads/2025/12/try-on-icon.png) no-repeat left center / 27px;
    padding: 4px 16px 4px 35px;
    border: 0px;
}

.recently_view_tryon_area button.try-on:hover{
    color: #333 !important;
    background-color: #fff !important;
    border: 0px !important;
}

.product_loop_item {
    text-decoration: none !important;
}

/*** Products Image Carousel ***/

.image-gallery .flex-viewport {
    overflow: visible !important;
}

.image-gallery .slick-track {
    display: flex;
    margin: 0;
}

/*.image-gallery .slick-track {
    display: flex;
    margin: 0;
}*/

.image-gallery .woocommerce-product-gallery {
    margin-bottom: 0 !important;
}

.image-gallery .woocommerce-product-gallery__wrapper {
    width: 100% !important;
}

/* .multiple_product_gallery {
  display: flex;
  gap: 16px;
  overflow: auto;
}

.multiple_product_gallery .woocommerce-product-gallery__image {
    min-width: 80%;
    flex: 0 0 auto;
    width: 280px ! important; 
    margin-right: 15px ! important;
    float: none !important;
}

.multiple_product_gallery .woocommerce-product-gallery__image:last-child {
    margin-right: 0 !important;
}

.multiple_product_gallery .flex-viewport {
    height: auto !important;
    overflow: visible !important;
    position: relative !important;
} */

.woocommerce div.product div.images .woocommerce-product-gallery__image {
    position: relative !important;
}

.image-gallery img {
    padding: 0;
    width: 100% !important;
    aspect-ratio: 2/1;
    object-fit: contain;
    display: block;
    margin: auto;
}

/* .image-gallery .slick-list {
    margin: 0 -8px;
}

.image-gallery .slick-slide {
    margin: 0 16px;
} */

.image-gallery .flex-control-thumbs,
.woocommerce-product-gallery__trigger {
    display: none;
}

.image-gallery .slick-arrow {
    position: absolute;
    top: 50%;
    font-size: 0;
    background: url(/wp-content/uploads/2025/12/prev-icon.png) no-repeat center center / contain;
    width: 34px;
    height: 34px;
    z-index: 99;
    transform: translateY(-50%) translateX(-20px);
}

.image-gallery .slick-arrow.next-icon {
    /* rotate: 180deg; */
    right: 0;
    transform: translateY(-50%) translateX(20px) scaleX(-1);
}

.image-gallery .flex-control-thumbs,
.woocommerce-product-gallery__trigger {
    display: none;
}

/* Product Price Style */

.product_price .price {
    margin-bottom: 0;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
}

.product_price .price del {
    color: #909090;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5em;
    opacity: 1 !important;
}

.product_price .price ins {
    text-decoration: none;
}

.discount_label {
    padding: 4px 12px;
    background-color: #E34320;
    border-radius: 8px;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
}

.woocommerce div.product div.images .woocommerce-product-gallery__wrapper {
    transform: translate3d(0px, 0px, 0px) !important;
}

/* Swatches */
.variations_form {
    margin-bottom: 0 !important;
}

.woocommerce div.product form.cart .variations {
    margin: 0;
}

.woocommerce div.product form.cart .variations tr {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.woocommerce div.product form.cart .variations tr:first-child {
    display: none;
}

.woocommerce div.product form.cart .variations td,
.woocommerce div.product form.cart .variations th {
    background: none;
}

.woocommerce div.product form.cart .variations tr th {
    padding: 0;
    min-width: 100px;
    display: block;
    width: 100% !important;
    font-size: 16px;
    line-height: 1.6;
}

.woocommerce div.product form.cart .variations tr td {
    padding: 0;
    width: 100% !important;
}

.woocommerce div.product form.cart .variations td.label {
    margin-bottom: 8px;
}

.woocommerce div.product form.cart .variations td.label label {
    font-size: 16px;
    font-weight: 500 !important;
}

.woocommerce div.product form.cart .variations tr th span {
    display: none;
}

.prod-variation form.cart .variations label{
    font-size: 16px;
    color: #333;
    font-weight: 400 !important;
}

.woocommerce div.product div.images .flex-control-thumbs .slick-list .slick-track {
    display: flex;
    gap: 24px;
}

.woocommerce-variation-availability {
    display: none !important;
}

.woo-variation-swatches.wvs-show-label .variations td .woo-selected-variation-item-name,
.woo-variation-swatches.wvs-show-label .variations th .woo-selected-variation-item-name,
.woocommerce div.product form.cart .variations label {
    margin: 0;
    padding-bottom: 4px;
}

.woo-variation-swatches .variable-items-wrapper {
    gap: 16px;
    flex-wrap: wrap;
    width: 100%;
}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item) {
    border: 1px solid #CCC;
    border-radius: 0 !important;
    /* padding: 12px 27px; */
    line-height: 1.5;
    font-size: 16px !important;
    min-height: 42px;
    min-width: unset !important;
    max-width: 156px;
    margin: 0;
    box-shadow: none !important;
    flex: 1 1 46%;
}

.woo-variation-swatches .variable-items-wrapper .variable-item .variable-item-span:not(.radio-variable-item) {
    justify-content: center !important;
}

.woo-variation-swatches .variable-items-wrapper .variable-item.selected,
.woo-variation-swatches .variable-items-wrapper .variable-item.selected:hover {
    border: 2px solid #2E4379;
}

span.woo-selected-variation-item-name {
    display: none !important;
}

.variations_form .quantity,
.variations_form button {
    display: none !important;
}

.ecomm-buttons.disabled button {
    opacity: 0.6;
    pointer-events: none;
}

.ecomm-btns .pp-button-wrap.pp-button-width-full {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.pp-frame-only {
    background-color: #fff !important;
    color: #1f1f1f !important;
    border-color: #1f1f1f !important;
}

.pp-frame-only:hover {
    background-color: var(--e-global-color-641f457) !important;
    color: #fff !important;
    border-color: var(--e-global-color-641f457) !important;
}

.pp-frame-only:focus {
    color: #1f1f1f;
}

.text_with_link a {
    color: inherit !important;
    font-size: inherit !important;
}

.shipping_text p b, .shipping_text p strong,
.shipping_text b, .shipping_text strong{
    font-weight: 600;
}

.shipping_text a{
    color: inherit !important;
    font-size: inherit !important;
    font-weight: inherit !important;
}

/*******Alternate Color*******/
.alt-colorsv4 ul {
    display: flex;
    gap: 0;
    width: 100%;
    overflow-x: auto;
    list-style: none;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
}

.alt-colorsv4 ul:has(>a) {
    align-items: center;
}

.alt-colorsv4 ul li {
    flex: 0 0 calc(25% - 16px);
    min-width: 127px;
    border-radius: 6px;
    text-align: center;
}

.alt-colorsv4 ul:has(.slick-track) li {
    min-width: 10px;
}

.alt-colorsv4 .fl-photo-img-jpg {
    display: flex;
    align-items: center;
    min-height: 80px;
    border: 1px solid #BDBDBD;
    border-radius: 4px;
    margin-bottom: 5px;
    overflow: hidden;
    padding: 10px;
}

.alt-colorsv4 div.product-title{
    font-size: 14px;
}

.alt-colorsv4 span.product-title,
.alt-colorsv4 span.product-price {
    display: none;
}

.alt-colorsv4 .color-code {
    font-weight: 400;
    line-height: 18px;
    color: #1F1F1F !important;
}

.alt-colorsv4 .slick-list {
    width: 100% !important;
}

.alt-colorsv4 .slick-track,
.product-wrapper .slick-track {
    margin: 0;
}

/* .alt-colorsv4 .slick-list.draggable {
    padding: 0 20px
} */

.alt-colorsv4 .slick-initialized .slick-slide {
    margin: 0 2px;
    padding: 0 6px
}

.alt-colorsv4 .slick-slider {
    position: relative;
}

.alt-colorsv4 .slick-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    width: 34px;
    height: 34px;
    box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.25);
    border-radius: 50%;
    margin-top: -20px;
}

.alt-colorsv4 .slick-arrow.prev-icon {
    left: 10px;
    /* Adjust this value as needed */
}

.alt-colorsv4 .slick-arrow.next-icon {
    right: 10px;
    /* Adjust this value as needed */
}

.alt-colorsv4 .slick-arrow.slick-disabled {
    opacity: 0;
}


.alt-colorsv4 .fl-woocommerce-product-alt-colours-image a {
    text-decoration: none;
}

/***********Recently Viewed Styles***********/
.recent_product_carousel .swiper-slide {
    max-width: 311px
}

.recent_product_carousel.elementor-element .swiper~.elementor-swiper-button.swiper-button-disabled {
    opacity: 0.5;
    pointer-events: none;
}

.recent_product_carousel.elementor-element .swiper~.elementor-swiper-button {
    background: #f6f6f6 !important
}

.recent_product_carousel.elementor-element .swiper~.elementor-swiper-button svg {
    fill: #3d3d3d !important
}


.recently_viewed_price p.price:has(del) {
    display: flex;
    flex-direction: row-reverse;
    gap: 8px;
    justify-content: center;
    align-items: center;
}

.recently_viewed_price p.price ins {
    text-decoration: none;
}

.recently_viewed_price p.price del {
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5em;
    color: #909090;
    opacity: 1 !important;
}

#snackbar {
    visibility: hidden;
    min-width: 250px;
    background-color: green;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 99;
    left: 46%;
    bottom: 30px;
    left: 50%;
    bottom: 30px;
    transform: translateX(-50%);
    font-family: 'Barlow';
}

#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}


/**PDP Additional info**/
.pdp-add-info .woocommerce-product-attributes {
    text-align: left;
}

.pdp-add-info table.shop_attributes {
    border: none;
    margin: 0;
    max-width: 290px;
}

.pdp-add-info table.shop_attributes tr td {
    border: none;
    padding: 0 !important;
    font-style: normal;
    line-height: 1.6em;
    background: none !important;
}

.pdp-add-info table.shop_attributes tr th {
    font-weight: 400;
    border: none;
    display: inline-block;
    width: 61px !important;
    padding: 0 !important;
    line-height: 1.6em;
    background: none !important;
}

.image-gallery .woocommerce-product-gallery__image:before {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    content: "";
    background: rgba(0, 0, 0, .03);
}

.clear_recent_products_list{
    text-decoration: none !important;
}

input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}
.variations_form .quantity, 
.variations_form .qty-wrapper button{
    display: block !important;
}
.qty-wrapper {
    display: flex;
    border: 1px solid #ccc;
    float: left;
    margin-top: 10px;
}
.variations_form .qty-wrapper button {
    width: 51px;
    height: 51px;
    border-radius: 0;
    background: #fff;
    font-size: 34px;
    font-weight: 400;
    border: none;
    color: #1c2a3c;
    line-height: 1;
    padding: 0;
}
.variations_form .qty-wrapper button:hover, 
.variations_form .qty-wrapper button:focus {
    background: #fff;
    color: #1f1f1f;
    border-radius: 0;
    border: 0px !important;
}
.variations_form .quantity {
    margin: 0 !important;
}
.variations_form .quantity input {
    border: 1px solid #ccc !important;
    border-top: none !important;
    border-bottom: none !important;
    pointer-events: none;
    width: 52px !important;
    height: 51px !important;
    border-radius: 0 !important;
    text-align: center !important;
    padding: 0 !important;
    font-size: 16px !important;
    color: #000 !important;
    margin: 0 !important;
    background-color: #fff !important;
}


/**********Respnsive Style*************/

@media(min-width: 769px) {
    .image-gallery img {
        height: 450px !important;
        padding: 24px;
    }

    .right_side {
        position: sticky !important;
        top: 0;
    }

    .pdp-add-info table.shop_attributes tr td,
    .pdp-add-info table.shop_attributes tr th {
        padding: 5px 0 16px !important;
    }

    .pdp-add-info table.shop_attributes,
    .pdp-add-info table.shop_attributes tr td,
    .pdp-add-info table.shop_attributes tr th {
        font-size: 16px;
    }

    .woocommerce div.product div.images .woocommerce-product-gallery__image:not(.woocommerce div.product div.images .woocommerce-product-gallery__image:last-child) {
        margin-bottom: 24px;
    }

    .woocommerce div.product div.images .woocommerce-product-gallery__image:nth-child(n+2) {
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    .tryon_shortcode{
        text-align: right;
    }
    .image-gallery .slick-arrow {
        transform: translateY(-50%) translateX(-16px);
    }

    .image-gallery .slick-arrow.next-icon {
        transform: translateY(-50%) translateX(16px) scaleX(-1);
    }

    .image-gallery img {
        height: 220px !important;
        padding: 16px !important;
    }

    .multiple_product_gallery {
        display: flex;
        gap: 16px;
        overflow-x: auto;
    }

    .multiple_product_gallery .woocommerce-product-gallery__image {
        min-width: 80%;
    }

    .prod-variation form.cart .variations label{
        font-size: 14px;
        line-height: 1.7;   
    }
    .alt-colorsv4 ul:has(>li) {
        gap: 8px;
    }

    .alt-colorsv4 .slick-list.draggable {
        /* padding: 0 4%; */
        margin: 0;
        overflow: hidden;
    }

    .alt-colorsv4 .slick-initialized .slick-slide {
        margin: 0 6px;
        padding: 0;
    }


    .recently_view_section {
        background-color: #fff !important;
    }

    .recently_view_section .swiper.elementor-loop-container {
        margin: 0;
        width: 100%;
    }

    .recent_product_carousel.elementor-widget-loop-carousel .elementor-swiper-button {
        display: none !important;
    }

    .pdp-add-info table.shop_attributes tr td,
    .pdp-add-info table.shop_attributes tr th {
        padding: 5px 0 0px !important;
    }

    .pdp-add-info table.shop_attributes,
    .pdp-add-info table.shop_attributes tr td,
    .pdp-add-info table.shop_attributes tr th {
        font-size: 14px;
    }

    .alt-colorsv4 .slick-arrow {
        display: none !important;
    }
}

/* @media screen and (max-width: 480px) {
    .alt-colorsv4 .slick-arrow {
        margin-top: -10px;
    }
} */